Bug 84411 - OpenCL: S/W interpreter throws std::out_of_range error
Summary: OpenCL: S/W interpreter throws std::out_of_range error
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.1.4 target:5.2.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-28 04:07 UTC by Owen Genat (retired)
Modified: 2016-10-25 18:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Genat (retired) 2014-09-28 04:07:07 UTC
Discovered while testing bug 79892. Under Crunchbang 11 x86_64 attachment 100921 [details] throws this error:

> Create S/W interp

... or:

> Create S/W interp
> terminate called after throwing an instance of 'std::out_of_range'
>   what():  multi_type_vector::get_type#1434: block position not found! (logical 
> pos=26450, block size=1, logical size=20000)

Tools > Options > LibreOffice Calc > Formula > Detailed calculation settings > Custom > select "Enable OpenCL for some formula computation" and ensure selection of Platform/Device is set to "Internal, software interpreter". Error occurs when either attempting to turn on OpenCL once the file is loaded, or starting LO with this file and this setting.

Tested under these versions:

- v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
- v4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
- v4.4.0.0.alpha0+ Build ID: 6ee5be0e1dc300120439c3579430d35e7d31131c TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-17_10:09:07

LO v4.2 throws the first error, while v4.3 and v4.4 throw the second error.
Comment 1 Owen Genat (retired) 2014-09-28 04:08:01 UTC
Forgot to mention that after throwing the error, the application crashes in all instances.
Comment 2 Joel Madero 2014-09-28 04:24:18 UTC
Confirmed:
Ubuntu 14.04 x64 running E17
LibreOffice 4.3.1.2 release

New
Major - crasher
High - default seems appropriate. 


Would be good to find out if this is a regression - if so a bibisectRequest :)
Comment 3 Matthew Francis 2014-09-28 04:26:48 UTC
Also confirmed on OSX, so

Platform => All
Comment 4 Matthew Francis 2014-09-28 04:55:01 UTC
Also dies on OSX / LO 4.2.0.0beta2 (beta1 is broken, so couldn't test it), so it appears that this has existed since OpenCL support was added

Given that, bibisecting seems unnecessary
Comment 5 m.a.riosv 2014-09-28 10:55:27 UTC
Reproducible
Win7x64
Version: 4.2.7.0.0+
Build ID: 599e5096ba7bde1c88120376b12f3f691847f17d
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-09-26_12:51:26

Version: 4.3.3.0.0+
Build ID: 3fd148ace5d69fe4d7179a5804a16bf8d86a64c5
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-09-26_10:20:01

Version: 4.4.0.0.alpha0+
Build ID: faf99f6f405e076d5c9ab95c876ae1ffb896f8d1
TinderBox: Win-x86@39, Branch:master, Time: 2014-09-26_09:41:28



Perhaps this comment from Markus may be of interest.
https://bugs.freedesktop.org/show_bug.cgi?id=75387#c2
Comment 6 Owen Genat (retired) 2014-09-29 11:24:09 UTC
(In reply to comment #5)
> Perhaps this comment from Markus may be of interest.
> https://bugs.freedesktop.org/show_bug.cgi?id=75387#c2

Thanks for pointing this out. I downloaded AMD-APP-SDK-linux-v2.9-1.599.381-GA-x64.tar.bz2 and installed it using sudo. It is just one large self-installing script, so very few options to select. After re-booting the system (for caution):

1. Start Calc.
2. Tools > Options > LibreOffice Calc > Formula > Detailed calculation settings > click Custom > click Details button
3. LO crashes.

Repeatable in these versions:

- v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
- v4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
- v4.4.0.0.alpha0+ Build ID: df73f4115cfe4d07e4159adf087571687eb173ec TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-25_23:06:16

$ uname -rvm
3.2.0-4-amd64 #1 SMP Debian 3.2.60-1+deb7u3 x86_64
$ grep "model name" /proc/cpuinfo | uniq
model name	: Intel(R) Core(TM) i7 CPU       Q 720  @ 1.60GHz
$ grep family /proc/cpuinfo |head -1|cut -d: -f2
 6
$ grep model /proc/cpuinfo |head -1|cut -d: -f2
 30
$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Madison [Radeon HD 5000M Series]

I also tried the Intel OpenCL SDK (v14.2 for Intel CPU for Linux 64-bit) but only RedHat/SuSE Enterprise Linux are supported.
Comment 7 Markus Mohrhard 2014-09-29 11:27:44 UTC
I'll try to have a look when I'm back from vacation end of October.
Comment 8 QA Administrators 2015-10-14 19:57:12 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2016-05-31 15:02:02 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b933f9b817d8449a87841e413cbe96ce31a63555

tdf#84411 - OpenCL: S/W interpreter throws std::out_of_range error

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-05-31 19:53:21 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a97f9c5790b4751098b0c3f78a387fbff36582a6&h=libreoffice-5-1

tdf#84411 - OpenCL: S/W interpreter throws std::out_of_range error

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-06-01 09:12:59 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35dd224accca2a4a02a3d93ef460b91b5416fec2&h=libreoffice-5-2

tdf#84411 - OpenCL: S/W interpreter throws std::out_of_range error

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-06-06 08:57:47 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=770493f3cf4c724e115b51a4280b00fe00b7f42e

tdf#84411 - unit test

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-06-06 08:57:52 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47d0e1be83810ccdb2d5350167c3713ea5d923ba

tdf#84411 unit test: Trivial follow-up updates.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Michael Meeks 2016-06-29 15:57:51 UTC
Closing the bug then =)